Query Analysis Results - MindBridge Documentation
Query Analysis Results
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/analysis-results/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/analysis-results/query"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-results/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/analysis-results/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/analysis-results/query"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Format
{
"totalPages": 123,
"totalElements": 123,
"pageable": {
"paged": true,
"pageNumber": 123,
"pageSize": 123,
"unpaged": true,
"offset": 123,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
}
},
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"analysisId": "<string>",
"engagementId": "<string>",
"analysisTypeId": "<string>",
"interim": true,
"analysisPeriods": [
{
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"id": "<string>",
"interimAsAtDate": "2023-12-25"
}
],
"reportingPeriodConfigurationId": "<string>"
}
],
"number": 123,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"numberOfElements": 123,
"empty": true
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
page
integer
default:0
Zero-based page index (0..N)
Required range:x >= 0size
integer
default:20
The size of the page to be returned
Required range:x >= 1sort
string[]
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- ...
- Option 20